Get Sample CSV
curl --request GET \
--url https://partner.peaka.studio/api/v1/data/projects/{projectId}/table/{tableName}/sample \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/data/projects/{projectId}/table/{tableName}/sample"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/data/projects/{projectId}/table/{tableName}/sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Data -- Internal Tables
Get Sample CSV
Returns a downloadable sample CSV file for the specified internal table in a project.
This CSV sample contains a few rows of mock or representative data from the table’s schema. It helps users understand the structure of the table and prepare matching CSV files for import.
Response
- Content-Type:
text/csv - Disposition: Attachment (
sample.csv) - The first row contains column headers.
- The following rows contain example values for each column.
Example Output
text,num19,numcol,decimalcol
"sample text",1176,1044,77.3711303273
"sample text",9354,7923,96.6658831270
"sample text",7658,8750,30.3928941706
This sample can be used as a template when preparing files to upload using the /import endpoint.
GET
/
data
/
projects
/
{projectId}
/
table
/
{tableName}
/
sample
Get Sample CSV


Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Response
200 - text/csv
Sample CSV returned successfully
The response is of type file.